import { z } from "zod"

import { ChildBedTypeEnum } from "@/constants/booking"

export const childrenSchema = z.object({
  age: z.number(),
  bedType: z.nativeEnum(ChildBedTypeEnum),
})

export const occupancySchema = z.object({
  adults: z.number(),
  children: z.array(childrenSchema).default([]),
})
